import { Sample } from "./Sample";

import SampleManager from "./SampleManager";

/**
 * 奖励信息
 */
export class Award extends Sample {
    // 图标
    public icon: string;

    public constructor() {
        super();
    }

    public init(jsonTable: any): void {
        super.init(jsonTable);
        this.icon = jsonTable.icon;
    }

    public clone(): any {
        let obj = super.clone();
        return obj;
    }

}